<layout xmlns:android="http://schemas.android.com/apk/res/android">

    <data>

        <variable
            name="viewModel"
            type="com.doverfuelingsolutions.issp.view.PreferenceActivity.PreferenceViewModel" />

        <variable
            name="handler"
            type="com.doverfuelingsolutions.issp.view.PreferenceActivity" />
    </data>

    <LinearLayout
        android:layout_width="800dp"
        android:layout_height="1600dp"
        android:layout_gravity="center"
        android:background="@drawable/border_gray"
        android:elevation="60dp"
        android:orientation="vertical"
        android:paddingVertical="40dp"
        android:weightSum="1">

        <TextView
            style="@style/wrap"
            android:layout_marginStart="40dp"
            android:layout_marginBottom="30dp"
            android:text="@string/preference"
            android:textSize="22sp" />

        <ScrollView
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1">

            <FrameLayout
                android:id="@+id/container"
                style="@style/fullWidth" />
        </ScrollView>

        <LinearLayout
            style="@style/fullWidth"
            android:layout_marginTop="40dp"
            android:gravity="center_horizontal"
            android:orientation="horizontal">

            <Button
                android:id="@+id/checkUpdate"
                style="@style/Widget.MaterialComponents.Button"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="20dp"
                android:enabled="@{!viewModel.isSubmitting}"
                android:onClick="@{handler}"
                android:text="@{viewModel.isSubmitting ? @string/in_check_update : @string/check_update}" />

            <Button
                android:id="@+id/buttonClose"
                style="@style/Widget.MaterialComponents.Button.TextButton"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="20dp"
                android:enabled="@{!viewModel.isSubmitting}"
                android:onClick="@{handler}"
                android:text="@string/click_close" />
        </LinearLayout>
    </LinearLayout>
</layout>